# Uses of Class
org.codehaus.janino.Java.MethodDeclarator

Packages that use Java.MethodDeclarator
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MethodDeclarator in org.codehaus.janino

Methods in org.codehaus.janino that return Java.MethodDeclarator
Modifier and Type
Method
Description
`Java.MethodDeclarator`
Java.AbstractTypeDeclaration.`getMethodDeclaration(String name)`
`Java.MethodDeclarator`
Java.TypeDeclaration.`getMethodDeclaration(String name)`
Returns the first method declared with the given name.
`Java.MethodDeclarator`
Parser.`parseMethodDeclaration()`
Equivalent with `parseMethodDeclaration(false, MethodDeclarationContext.CLASS_DECLARATION)`.
`Java.MethodDeclarator`
Parser.`parseMethodDeclaration(boolean allowDefaultClause, Parser.MethodDeclarationContext context)`
MethodDeclaration := [ DocComment ] Modifiers [ TypeParameters ] VoidOrType Identifier MethodDeclarationRest
`Java.MethodDeclarator`
Parser.`parseMethodDeclarationRest(String docComment, Java.Modifier[] modifiers, Java.TypeParameter[] typeParameters, Java.Type type, String name, boolean allowDefaultClause, Parser.MethodDeclarationContext context)`
MethodDeclarationRest := FormalParameters { '[' ']' } [ 'throws' ReferenceTypeList ] [ 'default' expression ] ( ';' | MethodBody )
Methods in org.codehaus.janino that return types with arguments of type Java.MethodDeclarator
Modifier and Type
Method
Description
`List<Java.MethodDeclarator>`
Java.AbstractTypeDeclaration.`getMethodDeclarations()`
`List<Java.MethodDeclarator>`
Java.TypeDeclaration.`getMethodDeclarations()`
Methods in org.codehaus.janino with parameters of type Java.MethodDeclarator
Modifier and Type
Method
Description
`void`
Java.AbstractTypeDeclaration.`addDeclaredMethod(Java.MethodDeclarator method)`
Adds one `Java.MethodDeclarator` to this type.
`IClass.IMethod`
UnitCompiler.`toIMethod(Java.MethodDeclarator methodDeclarator)`
`R`
Visitor.FunctionDeclaratorVisitor.`visitMethodDeclarator(Java.MethodDeclarator md)`
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`
Method parameters in org.codehaus.janino with type arguments of type Java.MethodDeclarator
Modifier and Type
Method
Description
`final void`
ScriptEvaluator.`cook(Java.CompilationUnit compilationUnit, Collection<Java.MethodDeclarator> methodDeclarators)`

## Uses of Java.MethodDeclarator in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.MethodDeclarator
Modifier and Type
Method
Description
`Java.MethodDeclarator`
DeepCopier.`copyMethodDeclarator(Java.MethodDeclarator subject)`
Methods in org.codehaus.janino.util with parameters of type Java.MethodDeclarator
Modifier and Type
Method
Description
`Java.MethodDeclarator`
DeepCopier.`copyMethodDeclarator(Java.MethodDeclarator subject)`
`void`
AbstractTraverser.`traverseMethodDeclarator(Java.MethodDeclarator md)`
`void`
Traverser.`traverseMethodDeclarator(Java.MethodDeclarator md)`